import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetRoleListParams, OriginalListParams} from '@models';

export const contextState: OriginalListParams<GetRoleListParams> = {
  roleName: '',
  roleCode: '',
  modifyUser: '',
};
export const context = createTableSearchContext(contextState);

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
